curl --request GET \
--url https://softmax.com/api/observatory/v2/reporters/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/reporters/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/reporters/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"status": "pending",
"reporter_version_id": "<string>",
"subject": {},
"status_url": "<string>",
"output_url": "<string>",
"trace_url": "<string>",
"usage": {},
"output_parts": [
{
"id": "<string>",
"reporter_id": "<string>",
"reporter_run_id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"content_hash": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"running_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List reporter runs
Returns newest visible reporter runs. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.
Authorizations
Bearer token issued by Softmax
Query Parameters
Return only runs of this reporter version.
^rv_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Return only runs with this status.
pending, running, completed, failed, cancelled Maximum runs returned.
1 <= x <= 100Continuation token from the previous response's X-Next-Cursor header.
Response
Successful Response
Reporter run ID.
Current run status.
pending, running, completed, failed, cancelled Reporter version executed by this run.
Resource supplied to the reporter.
Relative URL for retrieving the current run state.
Relative output-list URL after the run completes, otherwise null.
Relative URL for downloading the run trace.
Recorded resource usage.
Output metadata after the run completes, otherwise null.
Show child attributes
Show child attributes
Time the run was created.
Time execution started, if it has started.
Time execution ended, if it has ended.
Run error message, or null when no error was recorded.